# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import json,base64
from django.core.serializers.json import DjangoJSONEncoder
from django.http import HttpResponse
from Crypto.Cipher import AES
from Crypto import Random

class AESCipher(object):
    def __init__(self, key): 
        self.bs = 16
        self.key = key

    def encrypt(self, raw):
        raw = self._pad(raw)
        iv = Random.new().read(AES.block_size)
        cipher = AES.new(self.key.encode('utf-8'), AES.MODE_CBC, iv)
        return base64.b64encode(iv + cipher.encrypt(raw))

    def decrypt(self, enc):
        enc = base64.b64decode(enc)
        iv = enc[:AES.block_size]
        cipher = AES.new(self.key.encode('utf-8'), AES.MODE_CBC, iv)
        return self._unpad(cipher.decrypt(enc[AES.block_size:])).decode('utf-8')

    def _pad(self, s):
        return (s + (self.bs - len(s) % self.bs) * chr(self.bs - len(s) % self.bs).encode("utf8"))

    @staticmethod
    def _unpad(s):
        return s[:-ord(s[len(s)-1:])]

def json_response(message, key, encrypt=True):
    safeMessage = json.dumps(message,cls=DjangoJSONEncoder,ensure_ascii=True)
    ctype = "application/json"
    if encrypt:
        cryptor = AESCipher(key)
        safeMessage = cryptor.encrypt(safeMessage.encode('utf-8'))
        ctype = "application/x-json"
    
    return HttpResponse(safeMessage, content_type=ctype)
