"""WebTVPortals URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.conf.urls import include,url
from django.utils.translation import ugettext_lazy as _
from WebTVPortals import views

import appstore.urls
import device.urls
import distributor.urls

admin.site.site_header = _('WebTV Manager')
admin.site.site_title = _('WebTV Manager')
admin.site.index_title = _('WebTV Manager')

urlpatterns = [
    url(r'', include(appstore.urls)),
    url(r'', include(device.urls)),
    url(r'', include(distributor.urls)),
    url(r'^admin/', admin.site.urls),
    url(r'^admin/index/', views.index, name='index'),
    url(r'^api-auth/', include('rest_framework.urls')),
]
