from django.contrib import admin

from apkparser.apk import APK
from appstore.models import Application


# Register your models here.

class ExtendApplication(admin.ModelAdmin): 
    list_display = ('name','package','version','modifyTime','enable')
    
    fieldsets=[
            (None, {'fields':['name','app']}),
            ('switch', {'fields':[('enable')]}),
            ]
    list_per_page = 20
    
    def has_add_permission(self, request):
        if request.user.is_superuser:
            return True
        else:
            return False
        
    def has_delete_permission(self, request, obj=None):
        if request.user.is_superuser:
            return True
        else:
            return False
        
    def has_change_permission(self, request, obj=None):
        if request.user.is_superuser:
            return True
        else:
            return False
    
    def save_model(self, request, obj, form, change):
        form.save()        
        obj.owner = request.user.username
        apkf = APK(obj.app.path)
        obj.package = apkf.package
        obj.version = apkf.get_androidversion_name()
        obj.size = apkf.file_size
        obj.save()
    
admin.site.register(Application , ExtendApplication)