from __future__ import unicode_literals
import os.path
from django.db import models


def file_extension(path):  
    return os.path.splitext(path)[1] 

# Create your models here.
def get_file_path(instance, filename):
    return 'portal/market/apk/%s' % (filename)

def get_video_path(instance, filename):
    return 'portal/market/apk/video/%s' % (filename)

def get_icon_path(instance, filename):
    return 'portal/market/apk/img/icon.%s' % (file_extension(filename))

def get_icon_firstCover_path(instance, filename):
    return 'portal/market/apk/img/first.%s' % (file_extension(filename))

def get_icon_secondCover_path(instance, filename):
    return 'portal/market/apk/img/second.%s' % (file_extension(filename))

def get_icon_thirdCover_path(instance, filename):
    return 'portal/market/apk/img/third.%s' % ( file_extension(filename))

def get_icon_fourthCover_path(instance, filename):
    return 'portal/market/apk/img/fourth.%s' % (file_extension(filename))


class Application(models.Model):
    id = models.AutoField(primary_key=True) 
    name = models.CharField(max_length=200 , verbose_name = "Name")
    package = models.CharField(max_length=256 , blank=True, default="")
    activity = models.CharField(max_length=256 , blank=True, default="")
    parameters = models.CharField(max_length=256 , blank=True, default="")
    version = models.CharField(max_length=32 , blank=True, default="")
    size = models.IntegerField(blank=True, default=0)
    app = models.FileField(upload_to=get_file_path, blank=True, null=True)
    installTimes = models.IntegerField(blank=True, default=0)
    usedTimes = models.IntegerField(blank=True, default=0)
    modifyTime = models.DateTimeField(db_column='createdDate', auto_now = True)
    enable = models.BooleanField(blank=False, default=True, verbose_name = "Enable")
    
    class Meta:
        db_table = 'apps'
            
    
    def __str__(self):
        return self.name
    
    