
# Create your views here.
import json
from rest_framework import serializers
from rest_framework.views import APIView
from appstore.models import Application
from WebTVPortals import settings
from WebTVPortals import message

# Create your views here.

class ApplicationSerializer(serializers.ModelSerializer):    
    class Meta:
        model = Application
        fields = ('id', 'name', 'package','version','size','app')
        
             
class AppInfoViewSet(APIView):
    def feedback(self, request, format=None):
        ipAddr = request.META.get('REMOTE_ADDR','')
        responseMsg={}
        if request.body:
            cryptor = message.AESCipher(settings.SECURITY_KEY)
            payload = cryptor.decrypt(request.body)
                        
            try:
                payload = json.loads(payload)
            except:
                responseMsg['status'] = -2
                print ("Attatched info is illeagle,ip=%s"%ipAddr)
                return message.json_response(responseMsg, settings.SECURITY_KEY)
            if 'package' in payload:
                packageName = payload['package']                
                apps = Application.objects.filter(package=packageName).first()
                serializer = ApplicationSerializer(apps)
                responseMsg['status'] = 0
                responseMsg['apps'] = serializer.data
                print ("Sent app %s to =%s"%(packageName,ipAddr))
            return message.json_response(responseMsg, settings.SECURITY_KEY)
        else:
            responseMsg['status'] = -1
            print ("Did not attatch private info,ip=%s"%ipAddr)
            return message.json_response(responseMsg, settings.SECURITY_KEY)
        
    def get(self, request, format=None):
        return self.feedback(request, format)
    
    def post(self, request, format=None):
        return self.feedback(request, format)

