# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from django.utils import timezone
from portal.models import portal
from distributor.models import activeCode,User
# Create your models here.

   
class group(models.Model):
    id = models.AutoField(primary_key=True)
    name = models.CharField('Name',max_length=64)
    dealer = models.ForeignKey(User,null=True,on_delete=models.CASCADE)
    portals = models.ManyToManyField(portal, help_text='Select the portals for this group')
    
    class Meta:
        verbose_name = 'group'
        verbose_name_plural = 'group'
        
    def __str__(self):
        return self.name
    
class device(models.Model):
    id = models.AutoField(primary_key=True) 
    code = models.ForeignKey(activeCode, related_name="activeCode",null=True, on_delete=models.SET_NULL)
    dealer = models.ForeignKey(User,null=True,on_delete=models.CASCADE)
    device_id =  models.CharField(max_length=255 ,blank=False, default=" ") 
    hw_version = models.CharField(max_length=32 ,blank=True, default=" ")
    modelname=models.CharField(max_length=128 ,blank=True, default="")
    vendor = models.CharField(max_length=128 ,blank=True, default=" ")
    sn = models.CharField(max_length=64 ,blank=True, default="")
    mac = models.CharField(max_length=256 ,blank=True, default="")
    ip = models.CharField(max_length=128 ,blank=True, default="")
    mygroup = models.ForeignKey(group,blank=True,null=True,verbose_name = "Group",on_delete=models.SET_NULL)
    modifyTime = models.DateTimeField(db_column='createdDate', auto_now = True)
    username = models.CharField('Name',max_length=256,blank=True, default="")
    email = models.CharField('Email',max_length=256,blank=True, default="")
    phone = models.CharField('Phone',max_length=256,blank=True, default="")
    enable = models.BooleanField(blank=False, default=True, verbose_name = "Enable")
    
    class Meta:
        db_table = 'device'
    
    def __str__(self):
        return self.sn