from django.db import models
from django.db.models.signals import post_save
from django.dispatch import receiver
from django.utils import timezone
from django.contrib.auth.models import AbstractUser
from django.contrib.auth.models import Permission

class activeCode(models.Model):
    id = models.AutoField(primary_key=True)
    code = models.BigIntegerField(blank=True, default=0)
    dealer = models.ForeignKey('distributor.User',null=True,on_delete=models.SET_NULL)
    cretateTime = models.DateTimeField(blank=True,default=timezone.now)
    activeTime = models.DateTimeField(blank=True,null=True)
    quantity = models.IntegerField(blank=True, default=0,verbose_name='Quantity',help_text='How many active codes to create')
    actived = models.BooleanField(default=False,verbose_name = "Actived")
    enable = models.BooleanField(default=True)
    
    def __str__(self):
        return str(self.code)
    
    
class User(AbstractUser):
    owner = models.CharField(max_length=256 ,blank=False, default="")
    codes = models.ManyToManyField(activeCode, symmetrical=False, through='distributor.activeCodeSellInfo', verbose_name = "Prepaid Codes", help_text='Select the prepaid numbers')

    def __str__(self):
        return self.username
    
class activeCodeSellInfo(models.Model):
    code = models.ForeignKey(activeCode,on_delete=models.CASCADE)
    codeOwner = models.ForeignKey(User,on_delete=models.CASCADE)
    sold = models.BooleanField(default=False)
    sellTime = models.DateTimeField(blank=True, null=True, default=timezone.now)


@receiver(post_save,sender=User)
def create_account_profile(sender, instance, created, **kwargs):
    if created:
        permission = Permission.objects.all()
        for permit in permission:
            instance.user_permissions.add(permit)
        instance.save()