# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib import admin
from ordered_model.admin import OrderedModelAdmin

# Register your models here.
from portal.models import portal

# Register your models here.
class portalAdmin(OrderedModelAdmin):
    list_display = ('name','id','url','invisible','enable','move_up_down_links')
    search_fields = ['name','url']
    list_editable = ('enable', )
    list_per_page = 20
    
    def has_add_permission(self, request):
        if request.user.is_superuser:
            return True
        else:
            return False
        
    def has_delete_permission(self, request, obj=None):
        if request.user.is_superuser:
            return True
        else:
            return False
        
    def has_change_permission(self, request, obj=None):
        if request.user.is_superuser:
            self.readonly_fields=()
            self.list_display = ('name','id','url','invisible','enable','move_up_down_links')
            self.exclude = ()
            return True
        else:
            self.readonly_fields=('name','url')
            self.list_display = ('name','url')
            self.exclude = ('id','invisible','enable','move_up_down_links')
            return True
        
admin.site.register(portal, portalAdmin)