# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from ordered_model.models import OrderedModel
from rest_framework import serializers

# Create your models here.
class portal(OrderedModel):
    id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=64 , verbose_name = "Name")
    url = models.CharField(max_length=1024 ,blank=False, default="")
    invisible = models.BooleanField(default=True,verbose_name = "Invisible")
    enable = models.BooleanField(default=True,verbose_name = "Enable")

    class Meta:
        ordering = ('order',)
        
    def __str__(self):
        return self.name
    
class portalSerializer(serializers.ModelSerializer):
    class Meta:
        model = portal
        fields = ('name', 'url','order','invisible','enable')